Skip to main content
Get all relations by record Id
GET https://services.leadconnectorhq.com/associations/relations/{recordId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

recordId
string
required

Query parameters

locationId
string
default:"clF1LD04GTUKN3b3XuOj"
required
Your Sub Account’s ID
skip
number
default:"10"
required
limit
number
default:"100"
required
associationIds
string[]
Association Ids

Respuestas

locationId
string
default:"string"
required
id
string
default:"ve9EPM428h8vShlRW1KT"
required
key
string
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectLabel
object
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectKey
object
default:"custom_objects.children"
required
First Objects Key
secondObjectLabel
object
default:"Teacher"
required
Second Object Association Label (contact)
secondObjectKey
object
default:"contact"
required
Second Objects Key
associationType
object
default:"USER_DEFINED"
required
Association Type can be USER_DEFINED or SYSTEM_DEFINED
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/associations/relations/YOUR_recordId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/associations/relations/YOUR_recordId', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
  },
});
const data = await response.json();
import os, requests
response = requests.request(
    'GET',
    'https://services.leadconnectorhq.com/associations/relations/YOUR_recordId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
    },
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/associations/relations/YOUR_recordId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
    ],
]);
$data = json_decode(curl_exec($ch), true);